Bug report #5624

Renaming a spatialite table fails in DB Manager

Added by Tim Sutton over 7 years ago. Updated over 7 years ago.

Status:Closed
Priority:Normal
Assignee:Giuseppe Sucameli
Category:DB Manager
Affected QGIS version:master Regression?:No
Operating System:Linux (Ubuntu) Easy fix?:No
Pull Request or Patch supplied:No Resolution:invalid
Crashes QGIS or corrupts data:No Copied to github as #:15193

Description

An error has occured while executing Python code:

Traceback (most recent call last):
  File "/home/timlinux/.qgis//python/plugins/db_manager/db_tree.py", line 131, in rename
    item = self.model.getItem(index)
AttributeError: 'builtin_function_or_method' object has no attribute 'getItem'

Python version:
2.7.3 (default, Apr 20 2012, 23:04:22) 
[GCC 4.6.3]

QGIS version:
1.8.0-Lisboa Lisboa, 1b6b841

Python path: ['/home/timlinux/.qgis//python/plugins/sextante', '/usr/local/share/qgis/python', '/home/timlinux/.qgis//python', '/home/timlinux/.qgis//python/plugins', '/usr/local/share/qgis/python/plugins', '/usr/local/lib/python2.7/dist-packages/pip-1.1-py2.7.egg', '/usr/local/lib/python2.7/dist-packages/GDAL-1.9.0-py2.7-linux-x86_64.egg', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PIL', '/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client', '/usr/lib/python2.7/dist-packages/ubuntuone-client', '/usr/lib/python2.7/dist-packages/ubuntuone-control-panel', '/usr/lib/python2.7/dist-packages/ubuntuone-couch', '/usr/lib/python2.7/dist-packages/ubuntuone-installer', '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol', '/usr/lib/python2.7/dist-packages/wx-2.6-gtk2-unicode', '/home/timlinux/.qgis/python/plugins/FlightLines/tools', '/home/timlinux/.qgis/python/plugins/FlightLines/tools/gdal_modules', '~/.qgis/python', '/home/timlinux/.qgis/python/plugins/inasafe', '/usr/local/share/qgis/python/plugins/fTools/tools']

History

#1 Updated by Giuseppe Sucameli over 7 years ago

  • Resolution set to invalid
  • Status changed from Open to Closed

Are you sure you're using the master version and not the db_manager in ~/.qgis/python/plugins/?
I'm increasing the version number in master so users will see the popup message that warning them about it.

As well I'm fixing it out of master (in the original db_manager repo), but the master version was never affected by that problem.

#2 Updated by Tim Sutton over 7 years ago

Hi

Thanks - indeed I did have a copy of the plugins in my user plugins folder (and it works fine using the builtin version thanks).

Regards

Tim

Also available in: Atom PDF